"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WatchRunPlugin = void 0;
class WatchRunPlugin {
    apply(compiler) {
        compiler.hooks.watchRun.tap('WatchRun', (compilation) => {
            const changedTimes = compilation.watchFileSystem.watcher.mtimes;
            const changedFiles = Object.keys(changedTimes)
                .map(file => `\n  ${file}`)
                .join('');
            if (changedFiles.length) {
                console.log('====================================');
                console.log('NEW BUILD FILES CHANGED:', changedFiles);
                console.log('====================================');
            }
        });
    }
}
exports.WatchRunPlugin = WatchRunPlugin;
//# sourceMappingURL=WatchRunPlugin.js.map